Package twisted :: Package web :: Module widgets :: Class RenderSession

[show private | hide private]
[frames | no frames]

## Class RenderSession

I handle rendering of a list of deferreds, outputting their results in correct order.

Method Summary
| `__init__(self, lst, request)`
| `callback(self, result, sentinel, decNeedsHeaders)`
| `keepRendering(self)`
| `_addDeferred(self, deferred, lst, idx)`

Class Variable Summary
`class` | `Sentinel`

Class Variable Details

### Sentinel

`Sentinel` = `twisted.web.widgets.Sentinel`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:30 2003 | http://epydoc.sf.net